TULISAN - Feature #3516

Formula untuk Deposit
03/18/2025 01:46 PM - haykal haykal

Status: QA Test Start date: 03/18/2025
Priority: Normal Due date:

Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yomma, untk GLAccount yg digunakan untk menampung nilai Deposit Customer sudah diconfirm oleh user Tulisan, yaitu
GLAccount 2-104 - Uang Muka Diterima.

Tadi pagi 'kan rencananya nilai Deposit nya mau mengambil dari Master Data Sub Ledger, namun Bapak tidak setuju. Bapak tidak
ingin itu dimaintain di Master Data. Makanya Bapak menugaskan Mbak Yomma untk membuat formula untk meng-get nilai saldo
Deposit yang dimiliki oleh Customer untuk ditampilkan di CRM (dan dibaca oleh Shofwan).

Formulanya adalah sebagai berikut:

GLAccount: 2-104 (Liabilities, di Kredit apabila bertambah)

Jadi untk Saldo Deposit mengambil dari nilai hasil Closing bulan lalu untk GLAccount tersebut (dari PTRFICOMPACCBALANCE)
Ditambah total Credit di bulan berjalan untk GLAccount tersebut (dari PTRFILOPOSTING)

Dikurang total Debit di bulan berjalan untk GLAccount tersebut (dari PTRFILOPOSTING)

Kalau dibikin equation maka kurang lebih seperti berikut:

AmountBalance 2-104 di PTRFICOMPACCBALANCE (previous month) + total AmountCredit 2-104 di bulan berjalan (dari
PTRFILOPOSTING) - total AmountDebit 2-104 di bulan berjalan (dari PTRFILOPOSTING)

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

Terimakasih.

History

#1 - 03/18/2025 03:10 PM - Tri Rizqiaty
- File PDSFILOGETDEPOSIT.sql added

- Status changed from New to Developing

Developing : Create SP PDSFILOGETDEPOSIT.sql yang bisa digunakan untuk get deposit di CRM.

Notes :

- ditable saldo awal hrs ada SLType & SLID

- key yg digunakan saat ini, CompanyID & CustomerID hrs terisi
- GlAccountID dihardcode sesuai redmine ini

#2 - 03/18/2025 03:13 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

Untuk bisa di test, minta tolong Shofwan didevelop di CRM.
#3 - 03/19/2025 04:12 PM - Kezia Pawitra Yulianti

gimana kalau jangan di hardcode GlAccountID nya, tapi payment method nya aja yg di hardcode untuk skenario deposit ini. Jdi GIAccountID tetep
baca parameter.

Bisa gak ya yoms?
#4 - 03/19/2025 04:45 PM - shofwan shiddiq
- Assignee changed from haykal haykal to shofwan shiddiq

#5 - 03/19/2025 04:46 PM - shofwan shiddiq
- Assignee changed from shofwan shiddiq to haykal haykal

#6 - 03/19/2025 05:13 PM - haykal haykal

- File Deposit masih 300.000.PNG added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Mbak Yomma, tadi sudah test transaksi di CRM.

Tadi transaksi di CRM pakai CustomerID Kevin De Bruyne (SLID: 00013163). Casenya itu adalah si Kevin De Bruyne punya nilai Deposit 300.000 ,
dan dia transaksi beli barang 600.000. Maka dilakukan split payment; 300.000 menggunakan Deposit, dan 300.000 menggunakan Bank Transfer
Mandiri.

Untuk document SOnya sudah terbentuk, yaitu Document SO 00000290. Dan document Accountingnya juga sudah terbentuk AR Document
00000358.

Masalahnya adalah ketika saya coba transaksi pakai Kevin De Bruyne lagi nilai Depositnya masih 300.000 (seperti di foto yang saya attach) padahal
seharusnya 0, karena 300.000 nya sudah terpakai untk transaksi yang 00000290.

Tolong bantu dicek ya.

Redmine yg Shofwan kerjakan: #3513

#7 - 03/21/2025 02:32 PM - Tri Rizqiaty

- File PDSFILOGETDEPOSIT_20250320.sql added

- File MinovalS.MinovaES.Business.Logistic.dll added

- Status changed from Revise to Developing

Fixing :

1. Update folder AP12/bin : MinovalS.MinovaES.Business.Logistic.dll
2. Execute SP : PDSFILOGETDEPOSIT_20250320.sq|

#8 - 03/21/2025 02:32 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

#9 - 03/24/2025 12:22 PM - haykal haykal

- File Deposit A W Transaksi ke-1.jpg added

- File Deposit A W Transaksi ke-2.PNG added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Developer,

Tadi saya sudah coba test lagi pakai Customer A W (SLID: 00000001), untuk transaksinya seperti yang saya attach di Foto 1 di bawah; sudah
berhasil membaca nilai Deposit yang dimiliki Customer, dan sudah berhasil mengurangi dengan Pricenya juga.

Namun, ketika saya coba transaksi pakai A W lagi, nilai Depositnya malah jadi 0 (seperti Foto 2 yang saya attach di bawah), padahal harusnya nilai
Deposit yang dimiliki A W saat ini adalah 1.090.000 (1.350.000 - 260.000).

Tolong bantu dicek dan diperbaiki ya...
DocNo Sales Order: 00000342

Terimakasih.

#10 - 03/24/2025 03:22 PM - Tri Rizqiaty
- File clipboard-202503241520-8lpxb.png added
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

Ini karena di document sales, payment yg dibayarkan sebesar nilai deposit, jadinya document finance menjadi sebesar deposit, makanya remaining
deposit jd 0, kemungkinan ada kesalahan di menu crm, jika deposit lebih besar seharusnya payment terisi nilai pembelian.

Document Header

Document Number: 00000342 Description:

Company ID: PT Tulisan

Document Date: 24/03/2025 Pracess 10: 00022251
Document Status: Closed Deliver To: AW
Document Type: Sales Order

Dutlet: Toko DS ProcessStatus: Close

Shipping Add :
'PRIng ress Jl. Kenanga No. 52

Biaya Pengiriman: Shipping Method:

12000.00 Gojek
Customer 1D: AW Payment Type: Deposit

Payment ID: Deposit

Payment Amount: 1350000.00
Files
PDSFILOGETDEPOSIT.sql 2.44 KB 03/18/2025 Tri Rizqiaty
Deposit masih 300.000.PNG 44.6 KB 03/19/2025 haykal haykal
PDSFILOGETDEPOSIT_20250320.sq| 5.25 KB 03/21/2025 Tri Rizqiaty
MinovalS.MinovaES.Business.Logistic.dll 83 KB 03/21/2025 Tri Rizgiaty
Deposit A W Transaksi ke-1.jpg 5.38 MB 03/24/2025 haykal haykal
Deposit A W Transaksi ke-2.PNG 48.1 KB 03/24/2025 haykal haykal
clipboard-202503241520-8Ipxb.png 58.2 KB 03/24/2025 Tri Rizqgiaty
